{% extends 'core/base.html' %}
{% load static %}

{% block header %}
<link rel="stylesheet" type="text/css" href="{% static 'docket/css/docket.css' %}">
{% endblock %}

{% block content %}
<form id="filter-form" method="POST">
	{% csrf_token %}

	<!-- Status, Priority, Category -->
	<div>Status</div>
	<div class="list">
		<div class="sort-tile">
			<div class="sort-tile">
				<input class="" type="checkbox" name="status_open"
					value="true" {% if status_open %}checked{% endif %}  />
				<label>Open</label>
			</div>
			<div class="sort-tile">
				<input class="" type="checkbox" name="status_working"
					value="true" {% if status_working %}checked{% endif %}  />
				<label>Working</label>
			</div>
		</div>
		<div class="sort-tile">
			<div class="sort-tile">
				<input class="" type="checkbox" name="status_onhold"
					value="true" {% if status_onhold %}checked{% endif %}  />
				<label>On Hold</label>
			</div>
			<div class="sort-tile">
				<input class="" type="checkbox" name="status_closed"
					value="true" {% if status_closed %}checked{% endif %}  />
				<label>Closed</label>
			</div>
		</div>
	</div>

	<div>Priority</div>
	<div class="list">
		<div class="sort-tile">
			<div class="sort-tile">
				<input class="" type="checkbox" name="priority_low"
					value="true" {% if priority_low %}checked{% endif %}  />
				<label>Low</label>
			</div>
			<div class="sort-tile">
				<input class="" type="checkbox" name="priority_medium"
					value="true" {% if priority_medium %}checked{% endif %}  />
				<label>Medium</label>
			</div>
		</div>
		<div class="sort-tile">
			<div class="sort-tile">
				<input class="" type="checkbox" name="priority_high"
					value="true" {% if priority_high %}checked{% endif %}  />
				<label>High</label>
			</div>
		</div>
	</div>

	<div>Categories</div>
	<div class="list">
		{% for cat in categories %}
		<div class="sort-tile">
			<input class="" type="checkbox" name="category_{{cat.id}}"
				value="true" {% if not cat.hide_items %}checked{% endif %}  />
			<label>{{ cat.name }}</label>
		</div>
		{% endfor %}
	</div>

	<input type="submit" value="Save" />
	<!-- BOTTOM MARGIN -->
	<!-- This is needed to malke sure the browser
		doesn't cover up the bottom of the page with controls. -->
	<div class="list-bottom-margin"></div>
</form>
{% endblock %}